var Modulo;
var Identificador;
$("#Editar").hide();
$('#CloseEdit').click(function () {
    $("#Editar").hide();
});
function SomenteNumero(e) {
    var tecla = (window.event) ? event.keyCode : e.which;
    if ((tecla > 47 && tecla < 58))
        return true;
    else {
        if (tecla == 8 || tecla == 0)
            return true;
        else
            return false;
    }
}
$(function ($) {
    editar = function (item) {
        Identificador = item;
        var ID_Modulo = $("#EditarModulo" + ($(item).closest('tr').attr('id'))).val();
        Modulo = ID_Modulo;
        var URL = 'Funcoes.php?Function=57&ID_Modulo=' + ID_Modulo;
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                var Dados = JSON.parse(Resp.DADOS);
                $("#descEdit").val(Dados.Descricao);
                $("#ID_PermissaoEdit").val(Dados.ID_Permissao);
                $("#submenuEdit").val(Dados.SubMenu);
                $("#linkEdit").val(Dados.Link);
                $("#iconeEdit").val(Dados.Icone);
                $("#classificadorEdit").val(Dados.Ordem);
                $("#Editar").show();
            }
        });
    }
});
$('#btAtualizar').click(function () {
    var URL = 'Funcoes.php?Function=58&ID_Modulo=' + Modulo + '&descEdit='
            + $("#descEdit").val() + '&ID_PermissaoEdit='
            + $("#ID_PermissaoEdit").val() + '&submenuEdit='
            + $("#submenuEdit").val() + '&linkEdit='
            + ($("#linkEdit").val() != "#" ? $("#linkEdit").val() : "") + '&iconeEdit='
            + $("#iconeEdit").val() + '&classificadorEdit='
            + $("#classificadorEdit").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#TextError").html("<b>ATENÇÃO:</b> Não foi possível atualizar o modulo segue abaixo uma breve descrição do erro.</p>");
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
            $("#Editar").hide();
        } else {
            location.reload();
        }
    });
});

function SalvarModulo() {
    if (($("#desc").val()) == 0) {
        $("#TextError").html("<b>ATENÇÃO:</b> É necessário informar a descrição do modulo.</p>");
        $("#Erro").show();
        return false;
    }
    if (($("#ID_Permissao").val()) == 0) {
        $("#TextError").html("<b>ATENÇÃO:</b> É necessário vincular uma permissão ao módulo</p>");
        $("#Erro").show();
        return false;
    }
    if (($("#classificador").val()) == 0) {
        $("#TextError").html("<b>ATENÇÃO:</b> É necessário informar um digito classificador.</p>");
        $("#Erro").show();
        return false;
    }
    if (($("#icone").val()) == 0) {
        $("#TextError").html("<b>ATENÇÃO:</b> É necessário vincular um ícone que descreva o modulo.</p>");
        $("#Erro").show();
        return false;
    }

}
;
$("#btSalvar").click(function () {
    var URL = 'Funcoes.php?Function=42&desc='
            + $("#desc").val() + "&ID_Permissao="
            + $("#ID_Permissao").val() + "&classificador="
            + $("#classificador").val() + "&icone="
            + $("#icone").val() + "&link="
            + ($("#link").val() != "#" ? $("#link").val() : "") + "&submenu="
            + $("#submenu").val();
    if ($("#desc").val() != "" && $("#ID_Permissao").val() != "" && $("#classificador").val() != "" && $("#icone").val() != "") {
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#TextError").html("<b>ATENÇÃO:</b> Não foi possível cadastrar o novo modulo segue abaixo uma breve descrição do erro.</p>");
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                location.reload();
            }
        });
    }
});
$(function ($) {
    remove = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=43&ID_Modulo=" + (this.id);
            console.log(URL);
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#TituloModal").html("Erro:");
                    $("#TextError").html("<b>ATENÇÃO:</b> Não foi possível remover o módulo, pois, o mesmo está sendo utilizado por outra funcionalidade do sistema. Segue abaixo uma breve descrição do erro:");
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });
        });
        return false;
    }
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
});
$('#BT_closeModal').click(function () {
    $("#Erro").hide();
});
$('#pageAnt').click(function () {
    history.back()
});